/*
	Game Categories v 12.0
	Copyright (C) 2009, Bubbletune

	game_categories_info.h: Game Categories Internal Info Structures
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __GAME_CATEGORIES_INFO_H__
#define __GAME_CATEGORIES_INFO_H__
#include <systemctrl.h>

// XMB Item Value

// Sound
/*"sound_cursor"
"sound_decide"
"sound_cancel"
"sound_category_decide"
"sound_option"
"sound_system_ok"
"sound_system_ng"*/

// TopItem ID
#define topitem_system 0x00
#define topitem_photo 0x01
#define topitem_music 0x02
#define topitem_video 0x03
#define topitem_tv 0x04
#define topitem_game 0x05
#define topitem_network 0x06
#define topitem_psn 0x07

// Network Item Value
#define network_help_id 0x1D
#define network_help_relocate 0x01
#define network_help_action 0x16
#define network_help_action_arg 0x02

#define network_lftv_id 0x19
#define network_lftv_relocate 0x01
#define network_lftv_action 0x12
#define network_lftv_action_arg 0x00

#define network_skype_id 0x1E
#define network_skype_relocate 0x01
#define network_skype_action 0x18
#define network_skype_action_arg 0x00

#define network_1seg_id 0x1F
#define network_1seg_relocate 0x01
#define network_1seg_action 0x19
#define network_1seg_action_arg 0x00

#define network_premo_id 0x1C
#define network_premo_relocate 0x01
#define network_premo_action 0x15
#define network_premo_action_arg 0x00

#define network_radio_id 0x21
#define network_radio_relocate 0x01
#define network_radio_action 0x1B
#define network_radio_action_arg 0x00

#define network_rss_id 0x1A
#define network_rss_relocate 0x01
#define network_rss_action 0x08
#define network_rss_action_arg 0x05

#define network_browser_id 0x18
#define network_browser_relocate 0x01
#define network_browser_action 0x10
#define network_browser_action_arg 0x00

#define network_search_id 0x22
#define network_search_relocate 0x01
#define network_search_action 0x1D
#define network_search_action_arg 0x06

#define psspot_id 0x20
#define psspot_relocate 0x01
#define psspot_action 0x1A
#define psspot_action_arg 0x03

// Game Item Value
#define game_sharing_id 0x13
#define game_sharing_relocate 0x01
#define game_sharing_action 0x0C
#define game_sharing_action_arg 0x00

#define game_savedata_id 0x14
#define game_savedata_relocate 0x01
#define game_savedata_action 0x0B
#define game_savedata_action_arg 0x00

#define game_umd_id 0x15
#define game_umd_relocate 0x02
#define game_umd_action 0x01
#define game_umd_action_arg 0x09

#define game_umd_update_id 0x17
#define game_umd_update_relocate 0x02
#define game_umd_update_action 0x0F
#define game_umd_update_action_arg 0x01

#define game_ms_id 0x16
#define game_ms_relocate 0x03
#define game_ms_action 0x0F
#define game_ms_action_arg 0x02

// Photo Item Value
#define photo_umd_id 0x0E
#define photo_umd_relocate 0x02
#define photo_umd_action 0x06
#define photo_umd_action_arg 0x00

#define photo_camera_id 0x1B
#define photo_camera_relocate 0x01
#define photo_camera_action 0x13
#define photo_camera_action_arg 0x00

#define photo_ms_id 0x0D
#define photo_ms_relocate 0x03
#define photo_ms_action 0x05
#define photo_ms_action_arg 0x09

// Video Item Value
#define video_umd_id 0x11
#define video_umd_relocate 0x02
#define video_umd_action 0x09
#define video_umd_action_arg 0x00

#define video_ms_id 0x13
#define video_ms_relocate 0x03
#define video_ms_action 0x0A
#define video_ms_action_arg 0x00

// Music Item Value
#define music_umd_id 0x10
#define music_umd_relocate 0x03
#define music_umd_action 0x07
#define music_umd_action_arg 0x03

#define music_ms_id 0x0F
#define music_ms_relocate 0x03
#define music_ms_action 0x06
#define music_ms_action_arg 0x02

// Sysconf Item Value
#define sysconf_network_update_id 0x00
#define sysconf_network_update_relocate 0x01
#define sysconf_network_update_action 0x04
#define sysconf_network_update_action_arg 0x00

#define sysconf_usb_id 0x01
#define sysconf_usb_relocate 0x01
#define sysconf_usb_action 0x02
#define sysconf_usb_action_arg 0x05

#define sysconf_video_id 0x00
#define sysconf_video_relocate 0x01
#define sysconf_video_action 0x02
#define sysconf_video_action_arg 0x00

#define sysconf_photo_id 0x03
#define sysconf_photo_relocate 0x01
#define sysconf_photo_action 0x02
#define sysconf_photo_action_arg 0x01

#define sysconf_console_id 0x04
#define sysconf_console_relocate 0x01
#define sysconf_console_action 0x02
#define sysconf_console_action_arg 0x02

#define sysconf_powersave_id 0x07
#define sysconf_powersave_relocate 0x01
#define sysconf_powersave_action 0x02
#define sysconf_powersave_action_arg 0x08

// Psn Item Value
#define psn_signup_id 0x23
#define psn_signup_relocate 0x01
#define psn_signup_action 0x1E
#define psn_signup_action_arg 0x00

#define psn_account_id 0x24
#define psn_account_relocate 0x01
#define psn_account_action 0x1E
#define psn_account_action_arg 0x01

#define psn_pss_id 0x25
#define psn_pss_relocate 0x01
#define psn_pss_action 0x1E
#define psn_pss_action_arg 0x02

#define psn_tdmb_id 0x26
#define psn_tdmb_relocate 0x01
#define psn_tdmb_action 0x1F
#define psn_tdmb_action_arg 0x06

#define psn_board_id 0x27
#define psn_board_relocate 0x01
#define psn_board_action 0x1E
#define psn_board_action_arg 0x07

// Not Usable
#define psn_update_id 0x28
#define psn_update_relocate 0x01
#define psn_update_action 0x02
#define psn_update_action_arg 0x0B

#endif

