/*
	Game Categories v 12.0
	Copyright (C) 2009, Bubbletune

	game_categories_structs.h: Game Categories Structures

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __GAME_CATEGORIES_STRUCTS_H__
#define __GAME_CATEGORIES_STRUCTS_H__
#include <systemctrl.h>

/* These structures are the result of reversing, testing and research of VSH modules */

typedef struct
{
	void *unk; // 0
	int id; // 4
	char *regkey; // 8
	char *text; // 12
	char *subtitle; // 16
	char *page; // 20
} SceSysconfItem; // 24

typedef struct
{
	char text[48];
	int play_sound;
	int action;
	int action_arg;
} SceContextItem; // 60

typedef struct
{
	int id; // 0
	int relocate; // 4
	int action; // 8
	int action_arg; // 12
	SceContextItem *context; // 16
	char *subtitle; // 20
	int unk; // 24
	char play_sound; // 28
	char memstick; // 29
	char umd_icon; // 30
	char image[0x18]; // 31
	char image_shadow[0x18]; // 55
	char image_glow[0x18]; // 79
	char text[0x25]; // 103
} SceVshItem; // 140

typedef struct
{
	char *name;
	void *callback;
	u32 unknown;
} SceCallbackItem;

typedef struct
{
	u8 id; //00
	u8 type; //01
	u16 unk1; //02
	u32 label; //04
	u32 param; //08
	u32 first_child; //0c
	int child_count; //10
	u32 next_entry; // 14
	u32 prev_entry; //18
	u32 parent; //1c
	u32 unknown[2]; //20
} SceRcoEntry;

/* From SFO App */

typedef struct  __attribute__((packed))
{
	u32 signature;
	u32 version;
	u32 fields_table_offs;
	u32 values_table_offs;
	int nitems;
} SFOHeader;

typedef struct __attribute__((packed))
{
	u16 field_offs;
	u8 unk;
	u8 type;
	u32 unk2;
	u32 unk3;
	u16 val_offs;
	u16 unk4;
} SFODir;

/* Patch */

typedef struct
{
	u32 patch[2];
	void *original;
	void *patched;
} addr_based_patch;

typedef struct
{
	char *modname;
	char *libname;
	u32 nid;
	void *func;
} nid_based_patch;

#endif

